GBOX SHARE CONTROL Change log 
===============================

BETA_2.7

- change Gsms to a more compatible version
- fixed NewCs1.50 time-out logger when restart Newcs
- add new header image in the webinterface (Thanks to Xblaster)
- add some Pie's to Netstat peer
- change the scrolling in the grid's (better to read while scrolling)
- add cardview, cwshare (readonly) and Advertise server to the Web interface


BETA_2.6

- Add a Webserver. View Status over the internet.
- add several checks for cwshare.

1. D: { peer.no-ip.biz { 9000 2499 { XXXXXXXX { A3 A3 }}} - there should be 4 final brackets 

2. D { peer.no-ip.biz { 9000 2499 { XXXXXXXX { A3 A3 }}}} - missing colon after D 

3. D: { peer.no-ip.biz { 9000 2499 { XXXXXXXX {A3 A3}}}} - missing spaces in share level/s 

4. D:{ peer.no-ip.biz { 9000 2499 { XXXXXXXX { A3 A3 }}}} - missing space after D: 

BETA_2.5

- Special FIX for Newcs 1.31 and 1.50 ( GSC is compatible with all versions )
- Fixed "trace" is not stopped on a disconnect
- Send Gsms only to peers in cwshare ( leaf a copy of gsms.txt in the GSC dir)

BETA_2.4

- New message screen when new Gsms received (Messenger look)
- FIX ECM/Pids when using GSC local.
- Removed message screen if you try to lauch GSC a second time (put GSC on top)
- FTP with logfile (use option -l to log)
- View events when using option -l (see where some things went wrong)
- Speciale FIX for MgCamd Trace
- Removed SSH (SFTP) because still not ready to use

BETA_2.3 test SSH FIX2

- Add SSH (SFTP)
- FTP with logfile (use option -l to log)
- Speciale FIX for MgCamd Trace

BETA_2.2c         
- Changed the Gbox=>CCcam G-line (now you can select the version) 
- Stored the Trace view options for each profile. 
  Note: first time you must select a view filter, all checkboxes are unchecked so NO Trace. 
- Option to disable the "ECM/Pid from". 
  If you don't want/can't read the ECM/pid and channel info select "== Disable ==" in the combobox. 
  Note: the first time you must make a new selection. 

To start GSC with some option just put it in the shortcut after the " ( dont forget the space ) 
"C:\Program Files\Gbox Share Control\GboxSC.exe" -u 

Some Options: 

-b dont make backup files of cwshare (cwshare.bak) 
-u dont check for updates at the start 
-t don't remove files from the /tmp on exit GSC 
-ass get the nice women back 
 

BETA_2.2b         
- Add the option to disable the backup of cwshare (dont create cwshare.bak). Use start option "-b" to disable. 
- Change the path of "cwshare.bak" to the tmp dir of your box/server. 
- Add line number for ident.info and ignorelist (to delete a line just leave it blank, they will be removed). 
- Add a color legende to Gbox Trace. 
- Fixed some small bugs (disappear of the trace peer name after reload, cs2gbox screen could not minimized, etc...) 
- Change the "Gbox to CCcam". It search for IP-CCcam, Local Gbox port of first D-line and password (M-line) of Gbox. 
  This feature just creates new lines (G and D-line), it's not a manager. 
- Change the setup file. Now it installs the sys files in the sys dir of windows and register them (like it schould be). 
  It can be that you will ask to restart your PC. I don't think it will be ask the next time (just once). 
  I removed some not used ocx. So let me now if there is a problem. 
- Add Telnet, Ping and Trace Route to the mainscreen (Peers Table). 
  Right mouse click on a peer and select. 

BETA_2.2a         
- Change the on/offline status. Now it reports the same as other programs. 
- Add backup file of cwshare when uploading it. 
  Creates a cwshare.bak file when download and put it on box/server when uploading cwshare.cfg. 
  (maybe we must change the dir to the temp. dir. let me now) 

BETA_2.2         
- Security check. Checks for default login on Dreambox and Dbox2. 
- add create G-line for CCcam and D-line for Gbox. 
  This creates the connection between CCcam and Gbox. Both lines will be uploaded. 
  Don't forget to restart Gbox!!! 
  This features just create the lines needed for CCcam and Gbox. 
  It don't read the lines if they already exists. I will make this more advanced later. 
  This is the first version and we will work on it. 
 
BETA_2.1f         
- add check for double passwords in cwshare. 
  You will find a small button "Check cw" in the editor screen. 
  Keep in mind that the check is done on the file that's loaded in to the editor. 
  (same for cs2gbox) 
- add message with how manny D-lines are updated (after clicking the "update" buton) 
- change the grey buttons while reload files 
- add Trace to a file. 
- fixed bug about ident.info (ident.info was first deleted before checking if the file exists on the server/box) 

BETA_2.1e         
- add PeerInfo Manager. (the listview is sorted by DNS not the same order as the database) 
- add search for ident.info and ignore.list 
- change path for ident.info to GSC path (instead of /tmp) 
- a lot of small bug fixes. 

BETA_2.1d         
- Add "Update Records" button to the dbase form. 
  When you press it, it will store all peers in the dbase. (Dns, Boxid and D-line) 
  If the record exist then these three things will be updated. 
  Only double D-line will NOT be written and stay blank. 
  I changed also the handeling of double D-lines. 
  Now you DONT must select one line (you can leaf it blank). 
- Add "Save" button to the main Trace screen. This saves it to a file. 
- Fixed minized to the taskbar. (strange bug !!! ) 

BETA_2.1c         
- add a database for peer info. For each peer you can store all the info you need. 
  When you rightclick in the mainscreen on the peer you can select "view peerinfo".  
  Then it checks if the peer exists in the dbase. 
  If not it add's DNS and BoxId. If there is no D-line then i get it from cwshare.cfg. 
  If there are more D-lines for one DNS then you must select one. 
  Further you can store: Contacts (email), Nick name, Local cards info and write some comments. 
  When this is optmized then there is no need to store email etc. in cwshare.cfg. 

BETA_2.1b         
- add check for updates. You can disable it with the start option -u 
  every time GCS is started it will check for a new version. 
- made the ECM/Pids window bigger. 
- Gsms alert picture will come to the front when new Gsms. 
- made a small change of ECM for AdvEmu. (007.4) 
 
BETA_2.1         
- a lot of small bugfixes. 
  did some cleanup. (hope that it works better) 
  fixed myboxid. 
  some error messages are displayed only ones (Trace and Read ECM error) 
  check input variables on spaces or / or \ (login, path etc..) 
  edit W-line fix for pid liks 3d4 => 03D4. 
  flikker on channel name. 
  ECM screen some fix about old data. 
  removed the ass-women from search boxid/provider. 
  Alert for Gsms fix. now it keeps giving the alert until you read it. 
  add alert in the window title. 
  New head-picture to mach the forum. 
- changed Warning text layout to a table (better to read) 
- add startup menu. You can select wich screens you want at startup. 
- add CCcam.cfg editor 
- add convert ignore.list to CCcam.prio (must be developed further, need some tips) 
- remove temp files before/after start GSC. So we are sure to get some new/correct data. 
  If you need to see these file to test just start GSC with the option -t ( GboxSC.exe -t) 
- Put the ass-women back but she is hidden. To get here back you must now the secret password. 
  I will give you a hint: it's NOT GboxSC.exe -W 
- New install script. No need to unstall previous version!!! 
  The ini-file will NOT overwritten. First the install makes a copy of GboxSC.exe, GboxSC.ini and ident.info. 
  So no files are lost and when there is a problem you can go easly back to the previous version of GSC. 

BETA_2.0         
- No major changes but a few small fixes. 
- add alert for new Gsms 
- Change the problem with regional settings when saving the provider-list. 
- Add the new picture of the Gbox Forum. 
- New install script. No need to unstall previous version!!! 
  The ini-file will NOT overwritten. First the install makes a copy of GboxSC.exe, GboxSC.ini and ident.info. 
  So no files are lost and when there is a problem you can go easly back to the previous version of GSC. 

BETA_1.9h         
- add authentication for Newcs. If you use a password for debug/trace (TCP). 
- add check for when you add SIDs to the sid list. 
  If the SID is NOT comming from that card (Slotx) then you get just a message (nothing more). 
- Now you can disable the Netstat check. If N-line is different you get a message. 
  Then it wil ask if it must display the next time again. 
  If you disable it, then it stay away until you save the profile config. 
  Then it will be displayed again. 
- add "delete SID from list" and put the menu (add/delete) under the right mouse button. 

BETA_1.9g         
- Change the Restart gbox procedure. Now the restart works also on a DM7020 (you dont need a script anymore) 
- add stream info to ECM/Pids screen (channel, provider, video format, get keys from xxx) 
  made it compatible with ECM.info of CCcam (when running on dreambox) 
  This works on a dreambox. For the other boxes i dont now. 
- keep ftp-connection alive. When set more as 300 sec. the dreambox disconnect.(results in black screen of ECM/Pids) 
  Now sending each 60 sec. the alive signal. 
- add setup your local card with W and S lines. (for dummy's) 
  W for Pids and S for Sids. 
  It's the same for S lines so i only explain for the W-line. 

  In a W-line you can add 32 pids. This can be done manually (if you nown the pid) or 
  just go to the channel with the correct pid and press the "add current pid" button. 
  This you can do for all the pids you want. 
  Dont forget to put this line in cwshare! This can be done by pressing on the "Use new W-line" button. 
  And after that you must restart gbox. 

  For the S-line there is a small different. Sids who are added with the add button will be stored in the listbox. 
  So you can see that sid xxxx is channel name yyyyyyy. 
  This listbox will be stored in the GSC path with the name of the profile and slot number of the card. 
  exmpl. profilename_Slot01.sid 
 
BETA_1.9f         
- Netstat check for 1F or 3F 
- add view filter for Trace. 
- add stream the received Trace to another PC/Box (experimental) 

BETA_1.9e         
- add some colors to the trace windows. (for now you can not change the colors) 
- change the Trace IP/Port check. Only for IP gbox_cfg will be changed. For different port, the port will change in GCS. 
- (Netstat check for 1F or 3F is not ready  ) 

BETA_1.9d         
- add Netstat for each peer. Right mouse click on peer in main screen and card overview. 
- Check for Trace. If ip or port is different then you get a message. 
It ask for changing the gbox_cfg file. 
- Multitrace is for default two screens (larger), goto menu Window to get more screens. 

BETA_1.9c         
- Changed the connection. Now you can edit the cfg-files while gbox is not running. 
- Aad X-lines for CCcam. Creates X-lines from your gbox server, these you can select and add them in CCcam.cfg. 

Please make a copy of CCcam.cfg BEFORE you use it. 
For now the X-lines will be added at the end of the file.  

BETA_1.9b         
- add small providerlist (like cwshare) 
- re-group buttons (click button "Tools" to get the new menu) 
- add check and warning "Shares No Cards" 
- no resize anymore (use res. 1024x768) 
- some bugfix (error when no cs2gbox file, check peers when add/change D-lines) 

BETA_1.9a         
- select a different profile for ECM/Pid info (if you working with server profile you still can see the ECM/Pid info from your dreambox) 
- add Newcs/cs2gbox info, editor 
- changed some lettertypes for ignore and ident list (better to read) 

For Newcs you must give the TCP port (debug port not server port) in and IP where your newcs server is running. 
You can add 10 Newcs server. But you must save them one by one. 
The profile will be stored after you press the "OK" button. 
Do this for each newcs profile. 
 
BETA_1.9         
- attack.txt viewer ( also possible to delete the file on the server ) 
- ignore.list editor ( get file from gbox-server, disk or the net ) 
- ident.info editor ( get file from gbox-server, disk or the net ) 
- add G-line to ignore list in card overview 
- gsms ( click right mouse button in the main screen to send a gsms ) 
- add Y-line/Provider (all cards from a provider will be put as Y-line in cwshare,cfg ) 
- remove G-line in Peer status an Card Overview. 
- Remove G and Y line in editor just remove the lines without sorting. 
- Small provider-list (Details or not). This will change in the future so this is temp. 
 
BETA_1.8g         
- Add buttons to remove G and Y lines in editor. 
- Remove G line in cardoverview (right mouse click). 
- Fixed bug in Search Distance grid. 
 
BETA_1.8f         
- Added Search button to the editor. 
- Reload files time stopts and set to 30 sec. after restart Gbox. (after the 30 sec. reload time = set by users time) 
- Fixed Dist. 0 in share.info. Now you can also search for Dist. 0 cards. 
- D-lines are NOT Alfabetic sorted. To sort Alfabetic you must select this option. 
- Add Level 0 cards to cwshare: shorten the comments to Provider-id. 
- Some others small changes that i did but forgotten. (you find it on the forum) 

BETA_1.8e         
- add Sort Lines button for cwshare 
- Multi-Trace have 8 windows now 
- Now you can put a 0 in config peers for Dist. Local cards ( 0= no warning, no check and no mark color) 
- when adding level0 cards to cwshare with the button then happens that you block some cards 
  with the same box-id but a different level (this because you get them from somebody else) 
  now they are listed and not added to cwshare!!! 

BETA_1.8d         
- add "Always on Top" for Multi-Trace and Trace 
- fixed a cosmetic bug where the "ok" button was disappeared in the Peers config screen 
- Changed the layout of the colors screen ( better to see ) 

BETA_1.8c         
- add multi-trace 
- fixed a cosmetic bug 
 
BETA_1.8b         
- add ECM/Pid info if possible, only for a box (not for a server !!! ). 
- create warning file for offline and/or no local cards. 

BETA_1.8         
- add more colors for peer status (offline, online, no cards, no local cards) 
- block peer. Disable peer in cwshare.cfg ( right mouse click on peer in mainscreen) 
- add more languages for install 
- add check for some days offline and no local cards. 
This need some explanation: 

You can disable this (the most of you dont use this) in the peer config. 
There you can choice after how manny days to give a warning for offline and no local cards. 
you can also say on what distance the local cards are. Normal this is 1 but if you wish you can change it in the grid. 
Keep in mind that when you select a value more then 1 you not only check the local cards but also the virtual cards. 
Then you can select for each peer what check must be done. 
 
BETA_1.7c         
- add column for Distance 1 ( to see peers local cards ) 
- add view local cards info ( still basic, raw data. First steps to see if it works ) 
- add "Copy" to clipboard for the grids ( now you can copy a provider from tabel and paste in to the search box ) 

BETA_1.7b         
- add export grid to Excel. (works only if you have Excel on your PC !!!) 

Now you can export all the grids to excel. 
This can be done by right mouse click on the grid. 

BETA_1.7a         
- add the search Distance and Level cards. 
- Moved the Save and Delete button for Profile. 
- Language files are change for the two new buttons. 
 
BETA_1.6c         
Same as Beta 1.6b, no new stuff. 

Just some visual bugfixes. 

- the G an Y lines did not marked after you leave the editor mode with gbox_cfg. 
- My-Boxid error when leave the editor mode with gbox_cfg and reconnect. 
- disable all buttons when reload files or restart gbox. 

BETA_1.6b         
- add the gbox_cfg in the editor 
- implement add provider to ignore list 
- add ECM in netstats 
- put some separators in the netstats (better to read) 
- some small bugfixes. 
  
BETA_1.6         
- Add SSH for restart gbox ( only with the use of a script on the server ). 
This just a workaround because i dont find any usefull SSH code. 

I use the putty commandline to login. Dont delete putty.exe and plink.exe in the app. dir. 
They are needed for SSH. 
PuTTY is a free implementation of Telnet and SSH for Win32 and Unix platforms, along with an xterm terminal emulator. 
It is written and maintained primarily by Simon Tatham. 

When you use SSH the the option use script will be marked because this is the only way to restart. 
Make sure you put the correct path of the script (and name). 

BETA_1.5e         
- Fixed the Login for Dreambox, Dbox and others. 
  make sure you fill in the correct full path AND filename (exmpl. "/var/bin/gbox"or /var/bin/gbox.ppc") 
- Add to run a script for Restart Gbox. In the zip file you find an example of the script. 
  This script does the same thing as the restart button. You can edit it or make your own script. 
  Put the script where you want. Make sure you give the full path AND script name. 
  When you select to use the script you get a screen to fill in the path and name. 
  When you want to edit it later then click with right mouse button on the Checkbox "use restart Script" 
  Or edit the ini file. 

When there is a problem with the restart button the program makes a error report log. 
You will find it in /logs/Restart_Gbox.log. Here you can see what went wrong. 
Or when you dont now just sent me the file and i will look. 
Remark, delete all passwords in the file ! I dont need them.  

BETA_1.5d         
- add Resart Gbox button. I have tested only on dreambox. (please report if works or not) 
  make sure you fill in the correct full path AND filename (exmpl. "/var/bin/gbox"or /var/bin/gbox.ppc") 
- add option Local - FTP. Save the settings in profile. Now you dont need FTP for Gbox-win or Skystar 
- add some extra error-text for fault finding. 

Dont forget to fill in the Telnet port !!! 

BETA_1.5c         
- add netstat, now we see som numbers of the network traffic (this must be enabled in gbox, dont ask me how)  
maybe you can tell me of they are bits, bytes or kbytes. 
- changed Provider/Box-Id list. Log can be stored (each save with a new timestamp) 
- add Search Provider 
- make the mouse copy/paste work in the cwshare editor 
- rewrite the sub for colors in the editor (much faster now) 

BETA_1.5b         
- added Provider/Box-Id list. Log can be stored (first version, let me now if it shout change) 
- again fixed bug 0 cards in Shares-list 
- Now you can disable the reload files function by setting the timer to "0" 
- fixed some minor bugs about the screen 

BETA_1.5         
- made the screen 1024x768 
- Timer to reload files can be changed (double click on the statusbar to changes) 
  Don't set timer to 0 !!! This must disabled the reload function but is not yet working. 
- You can select your own Stats colors (stored in ini) 
- fixed bug shares list (some peers are marked as 0 cards but they have X-cards) 

BETA_1.4         
- add Box-id search 
- add Level stats 
- fixed for entering non hex-chars in the calculate Box-Id 
- fixed Error 13 when start without GboxSC.ini (normal you always have ini but when lost it's no problem) 

BETA_1.3d         
- put your own UDP Trace port in (and saved in GboxSC.ini) 
- fixed the combobox selection 
 
BETA_1.3c         
- add Trace on one peer only. You can click right mouse button on share list (mainscreen) and select "Trace Peer". 
or you can select another peer or all peers in the combo-box at the bottom of the Trace screen. 
- add the same colors for peers stats as in Card-Overview. (for G-line and Y-line) 

BETA_1.3b         
- Fixed the seperator bug " , " in the editor when loading files with this seperator 
- Add the Reload files button and files will be reloaded each 4 min. (What is a good time to reload?) 
- Small visual changes, like while waiting let you now with a hourglass, offline peers label 
 
BETA_1.3         
- now the button "add Level0 cards to cwshare" works. (dont forget to reboot Gbox after a change in cwshare.cfg) 
- give the Card-Overview some more colors. (green for G-lines and red for Y-lines but gbox not restart) 
- first version of Gbox-Trace. (very basic but it is working) 

BETA_1.2d         
- Rewrite the file handeling. 
- Fixed the editor 
- add some Tooltips 

BETA_1.2c         
- Fixed no cards when using Gbox for windows 

BETA_1.2b         
- fixed sorting problem. Now you can sort ascending en decending. 
- also possible sort in shares-list. 
- disabled the editor because to many faults. (sorry  ) 
- added missing DLL 

BETA_1.2         
- Now you can add some Y en G lines by right-click in a line. 
- backup en restore for cwshare.cfg 
- new screen for cwshare.cfg with a few colors. 
- you can edit cwshare.cfg 
- some small things 

BETA_1.1
- Made some changes about the connection to the server/box. 
- Add missing install files. 
- Correct the titels in the grid(they disapear). 

BETA_1.0
-first version